Bug 233252 - libetpan dependency breaks install
libetpan dependency breaks install
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sylpheed-claws (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-21 04:56 EDT by David Kovalsky
Modified: 2014-03-31 19:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-27 05:11:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2007-03-21 04:56:44 EDT
I'm not sure if the report should go to libetpan or sylpheed claws, but since
you're the maintainer for both ... :-)

I'm installing sylpheed-claws with yum:

yum install sylpheed-claws
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for sylpheed-claws to pack into transaction set.
sylpheed-claws-2.6.0-1.fc 100% |=========================|  17 kB    00:00     
---> Package sylpheed-claws.i386 0:2.6.0-1.fc5 set to be updated
--> Running transaction check
--> Processing Dependency: libetpan.so.10 for package: sylpheed-claws
--> Finished Dependency Resolution
Error: Missing Dependency: libetpan.so.10 is needed by package sylpheed-claws


I have libetpan coincidently installed:
libetpan-0.49-1.fc5
# rpm -ql libetpan
/usr/lib/libetpan.so.11
                     ^^
/usr/lib/libetpan.so.11.0.0
/usr/share/doc/libetpan-0.49
/usr/share/doc/libetpan-0.49/COPYRIGHT
/usr/share/doc/libetpan-0.49/ChangeLog
/usr/share/doc/libetpan-0.49/NEWS
/usr/share/doc/libetpan-0.49/TODO
Comment 1 Andreas Bierfert 2007-03-21 05:09:05 EDT
Thanks for reporting this. If you want to use claws please do a 'yum install
claws-mail'. It is strange that yum does not pick up the Provides from the
claws-mail package as it provide sylpheed-claws... Maybe all sylpheed-claws
packages should be removed from the repo.
Comment 2 David Kovalsky 2007-03-21 06:32:59 EDT
Hi Andreas,

claws-mail works fine. 

Back to sylpheed-claws - I remember reading (I think it was fedora-extras-list)
that there's some cleanup script that purges the repository of packages that are
(considered some criteria) old. 
IIRC it keeps 2 latest version of packages, removes libs that are not linked
from any packages and does a few more checks. Can't remeber the detail or
when/on which list it appeared.

It probably also should have cought this, but it didn't.
Comment 3 Andreas Bierfert 2007-03-21 06:44:01 EDT
Hm yes, it probably does not look at the provides. I will see for a good way to
get this cleaned up...
Comment 4 Andreas Bierfert 2007-04-27 05:11:25 EDT
sylpheed-claws has been removed from the fc5 repo (thanks Michael). This bug can
be closed.

Note You need to log in before you can comment on or make changes to this bug.